Right click context menu in Safari/Mac does not work fully
2008-12-15 15:02 - Michael Aye

Status: Closed Start date: 2008-12-15
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Cant reproduce Affected version: 0.7.3
Description

When right-clicking on USB mouse or touchpad (Macbook Pro with the activated double-finger tap as right-click), the context menu
appears, but | can't pick anything on the menu.
When | Ctrl-Click with the same USB mouse or touchpad, everything works fine.

Details:
I'm using a Bitnami stack, so version 0.7.3 of Redmine

History

#1 - 2009-02-12 20:02 - Shaun Gilroy

This is also the case for two-button mouse use in OSX/Safari. When you right-click on the issue list, the context menu appears as it should, but none
of the submenus appear when you mouse over them.

So | can bulk move issues selected from the issue list, for instance. But | cannot bulk-assign them.

Ctrl+Click offers it's own sort of problems. When you Ctrl+Click on an issue in the issue list, it only selects the issue you've clicked on. So Ctrl+Click
is only a work-around for single-issue context-menu updates.

If you have multiple issues selected before you click, it deselects the issue you're Ctrl+Clicking over. Ctrl+Click in this situation, does appear to affect
all of the items selected at the time of the click (including the deselected item).

#2 - 2009-02-12 20:07 - Shaun Gilroy
Incidentally, I'm using Redmine 0.8 to produce this issue.
And to revise my previous note: Ctrl+Click does appear to be and adequate work-around for this issue.

#3 - 2010-06-06 10:57 - Felix Schéfer

Do you still have this issue? | can't remember the last time | used ctrl+click for right click (I think | used it until | got a multi-touch trackpad alleviating
the need for the key combo), but I've never encountered this problem (at least not on 0.9 series).

#4 - 2010-06-19 01:32 - Holger Just
Just checked with Safari 4 on OSX 10.6 on a recent Trunk:

Ctrl+Click does work for single and multiple issues. There is just a "rendering bug" as the Ctrl+Click renders the hovered issue as not selected. But it
still does create the correct context menu.

#5 - 2010-07-10 22:45 - Felix Schéfer
- Status changed from New to Closed

- Resolution set to Cant reproduce

Closing because it probably is outdated.

#6 - 2010-07-10 22:56 - Michael Aye

sorry, forgot to check. yes, it works now for me as well. so somewhere along the updates it went away.
